Codestag Framework
===

This document explains how to get started with this framework. Here are some few initial steps to be followed:

1. Replace textdomain from `stagfw` to theme name.
2. Function's names are prefixed with `carbon_` that also needs to be replaced with theme name.
3. Also, all the pages includes inline docs referring `@package Carbon` that must be replaced as well, but if you perform global find/replace operation, make sure it's case sensitive.

This framework includes some basic styles with Sass for most used elements. Take a closer look on `_preboot.scss`, it includes variables, mixins, and extends—which makes the development easier.

### Building Themes Options & Widgets
1. Take a look at base widget class which takes advantage of object cache. Take a look at the [base class](https://bitbucket.org/codestag/ink/src/6fe7df2b308d93cb4b11e0e90ba2fe491b7e51e0/stag-customizer/class-stag-widget.php?at=master) and it's usage in [Ink theme](https://bitbucket.org/codestag/ink/src/6fe7df2b308d93cb4b11e0e90ba2fe491b7e51e0/inc/widgets/?at=master).
2. Building customizer options show follow the best practices from any older themes, [Om](https://bitbucket.org/codestag/om/src/b1e724808e26a65e822914aec47117c578f267c5/src/stag-customizer/?at=master) for instance.
3. In reference link in #2, there is base class for logo which should be dropped in favor of JetPack site logo.
4. If theme makes usage of Google fonts, which is under `helpers-fonts.php`, make sure all settings passed under this file via `stag_theme_mod` includes the correct keys from customizer.
5. `helpers-css.php` is a dynamic css addition to front-end and WordPress editor so all the content styles could be applied on editor styles as well.

## Using Grunt
Generally, you don't need to keep Grunt running when working on the projects. It makes sense only running when packaging a new release.

#### Packaging a new release
1. There is a top level function `grunt release:major` which accepts a paramter to denote if the release is `major`, `minor`, or `patch`. In any case, the command becomes: `grunt release:minor`. Here's how versioning works:
    1. `grunt release:major` releases `1.0.0` > `2.0.0`
    2. `grunt release:minor` releases `1.0.0` > `1.1.0`
    3. `grunt release:patch` releases `1.0.0` > `1.0.1`
2. Grunt release function also creates a zip file of the theme under `dest/<theme-name>.zip`, processes pot file, checks for changelog entery under `src/changelog.txt` and commits to git and adds a tag.
3. Theme versions are replaced under the following files during release, so no need to replace theme version manually:
    1. `src/style.css`
    2. `sass/_header.scss`
    3. `src/functions.php`

*If you find anything inappropriate or something that should be added as base to the project, feel free to push a commit.*
